### Method

# GtkSource View set_auto_indent

#### Declaration [src]

    void
    gtk_source_view_set_auto_indent (
      GtkSourceView* view,
      gboolean enable
    )

#### Description [src]

If `TRUE` auto-indentation of text is enabled.

When Enter is pressed to create a new line, the auto-indentation inserts the same indentation as the previous line. This is not a “smart indentation” where an indentation level is added or removed depending on the context.

Sets property | `GtkSource.View:auto-indent`

#### Parameters

`enable`

  Type: `gboolean`

  Whether to enable auto indentation.